View Issue Details

IDProjectCategoryView StatusLast Update
0002461SOGoBackend Calendarpublic2013-10-22 11:27
Reporterams077 Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS VersionWheezy
Product Version2.0.7 
Fixed in Version2.1.0 
Summary0002461: Failure to accept invitations when content of location field longer than 255 characters
Description

When an event invitation has a location field > 255 characters (we receive some with ~700 characters), SOGo silently fails to add the event.

Steps To Reproduce

Get someone to send you an event invitation with a location field with > 255 characters.

Try to accept the invitation in your calendar client.

Observer that the event is not added to your calendar, and there is no error message.

Additional Information

Our backend database is Postgres 9.1
OS is Debian Wheezy (not listed in your OS dropdown above, and using your 'Or Fill In' section results in a submission error).

We think SOGo should either truncate the field to 255 characters or, preferably, be able to accommodate a longer location field.

Our users have experienced this bug with Apple's iCal and with Thunderbird + Lightning.

Some log extracts:
"""
8/10/2013 16:56:59.241 iCal: Unexpected EOF, returning last token as fallback
18/10/2013 16:56:59.241 iCal: Unexpected EOF, returning last token as fallback
18/10/2013 16:56:59.245 iCal: Unexpected EOF, returning last token as fallback
18/10/2013 16:56:59.361 iCal: CalDAVWriteEntityQueableOperation - item was deleted before write could occur: AD24B1C4-AA28-4655-AF77-FB73D1D400AE
"""

"""
Oct 18 17:08:58 sogod [9000]: <0x0x7fa7998d9bd0[GCSFolder]> ERROR(-[GCSFolder wr
iteContent:toName:baseVersion:]): cannot insert content : <PostgreSQL72Exception
: 0x7fa79915de40> NAME:PostgreSQL72FatalError REASON:fatal pgsql error (channel=
<0x0x7fa7999a5fb0[PostgreSQL72Channel]: connection=<0x0x7fa7994750e0[PGConnectio
n]: connection=0x0x7fa798c870e0>>): ERROR: value too long for type character v
arying(255)

Oct 18 17:08:58 sogod [9000]: [ERROR] <0x98F9E250[SOGoAppointmentObject]:610CEF7
2A8EAC5B285257C080043E827-Lotus_Notes_Generated.ics> write failed: <PostgreSQL72
Exception: 0x7fa79915de40> NAME:PostgreSQL72FatalError REASON:fatal pgsql error
(channel=<0x0x7fa7999a5fb0[PostgreSQL72Channel]: connection=<0x0x7fa7994750e0[PG
Connection]: connection=0x0x7fa798c870e0>>): ERROR: value too long for type character varying(255)

...

Oct 18 17:26:49 sogod [9000]: <0x0x7fa79931d470[GCSFolder]> ERROR(-[GCSFolder writeContent:toName:baseVersion:]): cannot insert content : <PostgreSQL72Exception: 0x7fa798f18670> NAME:PostgreSQL72FatalError REASON:fatal pgsql error (channel=<0x0x7fa798d35de0[PostgreSQL72Channel]: connection=<0x0x7fa79993fbf0[PGConnection]: connection=0x0x7fa79c0516e0>>): ERROR: value too long for type character varying(255)

Oct 18 17:26:49 sogod [9000]: [ERROR] <0x98BB0240[SOGoAppointmentObject]:610CEF72A8EAC5B285257C080043E827-Lotus_Notes_Generated> write failed: <PostgreSQL72Exception: 0x7fa798f18670> NAME:PostgreSQL72FatalError REASON:fatal pgsql error (channel=<0x0x7fa798d35de0[PostgreSQL72Channel]: connection=<0x0x7fa79993fbf0[PGConnection]: connection=0x0x7fa79c0516e0>>): ERROR: value too long for type character varying(255)
"""

TagsNo tags attached.

Issue History

Date Modified Username Field Change
2013-10-22 06:24 ams077 New Issue
2013-10-22 08:38 ludovic Severity major => minor
2013-10-22 11:27 ludovic Note Added: 0006152
2013-10-22 11:27 ludovic Status new => closed
2013-10-22 11:27 ludovic Assigned To => ludovic
2013-10-22 11:27 ludovic Resolution open => fixed
2013-10-22 11:27 ludovic Fixed in Version => 2.1.0